Hatif
    • Account API
      • Service Login
        POST
    • Channels API
      • Get Channels
        GET
    • Whatsapp API
      • Send Text
        POST
      • Send Template
        POST
    • Contact
      • Set Property Value on Contact
        PUT
      • Search Contacts [Complex]
        POST
      • Delete Property Value on Contact
        DELETE
      • Create Contact
        POST
      • Update Contact
        PUT
      • Get Contacts
        GET
      • Get Contact By Id
        GET
      • Delete Contact
        DELETE
      • Create Bulk Contacts vCards
        POST
      • Create Contact
        POST
      • Get Contacts Search
        POST
      • Contacts History
        GET
    • Contact Properties
      • List Contact Properties
        GET
      • Delete Contact Property
        DELETE
      • Update Contact Property
        PUT
      • Create Contact Property
        POST
      • Contact Properties Statistics
        GET
    • Support API
      • Upload Audio File
        POST
    • Outbound IVR API
      • Create Outbound IVR
        POST
    • Workspace API
      • Get Workspace Users
    • Conversations API
      • Get Conversation Timeline
      • List Conversations
      • Create Conversation
      • Assign Conversation
      • Get Conversation
    • Tags API
      • Create Tag
      • Delete Tag
      • Update Tag
      • List Tags
    • Call Webhook
    • WhatsApp Message Webhook
    • Schemas
      • Call Webhook
      • WhatsApp Message Webhook
      • ConversationDto
      • CreateTagDto
      • ChannelConversationDto
      • UpdateTagDto
      • TagDto
      • ConversationTimelineDto
      • PagedResultOfTagDto
      • AiSummaryDto
      • ReplyInfoDto
      • InternalThreadDto
      • LocationMessageDto
      • AssignationInfoDto
      • PagedResultOfConversationDto
      • PagedResultOfConversationTimelineDto

      Call Webhook

      Webhook
      POST
      Call Completed

      Configuration#

      Contact Hatif team to configure the webhook.

      Authentication#

      If a webhookSecret is configured on the channel, all webhook requests include an X-Voxa-Signature header containing an HMAC-SHA256 signature of the raw
      JSON request body.

      Verifying the Signature#

      1.
      Get the raw request body as a UTF-8 string.
      2.
      Compute the HMAC-SHA256 hash using your channel's webhookSecret as the key
      3.
      Convert the hash to a lowercase hexadecimal string.
      4.
      Compare the computed signature with the X-Voxa-Signature header value.

      Retry Policy#

      Failed deliveries are retried up to 5 times with exponential backoff: 2, 4, 8, 16, 32 minutes.

      Request

      Body Params application/jsonRequired

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://your-api-server.com' \
      --header 'Content-Type: application/json' \
      --data '{
          "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
          "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",
          "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",
          "status": 0,
          "type": 1,
          "callerNumber": "string",
          "calleeNumber": "string",
          "pickupTime": "2019-08-24T14:15:22.123Z",
          "hangupTime": "2019-08-24T14:15:22.123Z",
          "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
          "userName": "string",
          "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
          "contactNumber": "string",
          "callLength": "00:05:32",
          "aiAgentId": "de6aefb3-8e9c-49f1-b481-86af32c29492",
          "recordingUrl": "string",
          "transcription": {
              "text": "string",
              "words": [
                  {
                      "text": "string",
                      "start": 0,
                      "end": 0,
                      "type": "string",
                      "speaker": "string"
                  }
              ]
          },
          "summary": "string",
          "sentiment": 1,
          "evaluationCriteriaResult": [
              {
                  "id": "string",
                  "dataType": "string",
                  "description": "string",
                  "value": "string",
                  "rationale": "string"
              }
          ],
          "creationTime": "2019-08-24T14:15:22.123Z"
      }'
      Response Response Example
      {}
      Modified at 2026-04-14 12:07:24
      Previous
      List Tags
      Next
      WhatsApp Message Webhook
      Built with